local global = {}

global.start = function(fes, site, title)
	if title and title ~= "" then
		title = title .. " - "
	else
		title = ""
	end
	site.title = title .. "Free Software Distributions "
	site.copyright = fes.util.copyright("https://fsdproject.org", "fSD")
	site.favicon = "/static/favicon.ico"
	site:banner(fes.util.cc {
		fes.std.center(fes.std.ha("/", fes.std.h1("Free Software Distributions"))),
		fes.std.center(fes.util.cc {
			fes.std.nav("/about", "About"),
			fes.std.nav("/community", "Community"),
			fes.std.nav("/releases", "Releases"),
			fes.std.nav("/hacking", "Hacking"),
		})
	})
end

global.finish = function(fes, site)
	site:note(fes.util.cc {
		fes.std.h2("Other resources"),
		fes.std.tl({
			fes.std.external("https://git.fsdproject.org/", "Git Trees"),
			fes.std.external("https://docs.fsdproject.org", "Documentation"),
		}),

	})
end

return global
